#ifndef RC5_H
#define RC5_H

#ifndef MY_TYPES_H
	#include "my_types.h"
#endif

#define RC5TIME 	1.778e-3				// 1.778msec
#define PULSE_MIN	(UBYTE)(F_CPU / 512 * RC5TIME * 0.4 + 0.5)
#define PULSE_1_2	(UBYTE)(F_CPU / 512 * RC5TIME * 0.8 + 0.5)
#define PULSE_MAX	(UBYTE)(F_CPU / 512 * RC5TIME * 1.2 + 0.5)

void rc5_ISR(void);

extern UBYTE	rc5_bit;				// bit value
extern UBYTE	rc5_time;				// count bit time
extern UWORD	rc5_tmp;				// shift bits in
extern UWORD	rc5_data;				// store result

#endif
